VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Dial-Up Networking Module Example"
   ClientHeight    =   2295
   ClientLeft      =   1950
   ClientTop       =   3000
   ClientWidth     =   6585
   LinkTopic       =   "Form1"
   ScaleHeight     =   2295
   ScaleWidth      =   6585
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   4680
      TabIndex        =   2
      Top             =   1725
      Width           =   1185
   End
   Begin VB.CommandButton cmdCreateConnection 
      Caption         =   "&Create a New Dial-Up Connection"
      Height          =   495
      Left            =   465
      TabIndex        =   1
      Top             =   1125
      Width           =   2910
   End
   Begin VB.ComboBox cboDevices 
      Height          =   315
      Left            =   420
      Style           =   2  'Dropdown List
      TabIndex        =   0
      Top             =   540
      Width           =   4230
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Dial Up Devices Installed"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   195
      Left            =   465
      TabIndex        =   3
      Top             =   240
      Width           =   2175
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdCreateConnection_Click()
CreateNewEntry

End Sub

Private Sub cmdExit_Click()
Unload Me
End Sub

'list devices installed in combobox lstDevice
Private Sub Form_Load()
ListDevices
If cboDevices.ListCount = 0 Then cmdCreateConnection.Enabled = False
End Sub
Private Sub ListDevices()
cboDevices.Clear
GetDevices cboDevices
If cboDevices.ListCount > 0 Then cboDevices.ListIndex = 0
End Sub

Private Sub CreateNewEntry()
'make the DUN called DUN_NAME
'Will work if the selected device in the combo box is a modem
'The Connection Created is a "dummy" one
'If you want a real one, change the below parameters
'to the what you need, or add text boxes to a form
'so the user can enter them him/herself


Dim typVBRasEntry As VBRasEntry
typVBRasEntry.AreaCode = ""
typVBRasEntry.AutodialFunc = 0
typVBRasEntry.CountryCode = "1"
typVBRasEntry.CountryID = "1"
typVBRasEntry.DeviceName = cboDevices.Text
typVBRasEntry.DeviceType = "Modem"
typVBRasEntry.fNetProtocols = RASNP_Ip
typVBRasEntry.FramingProtocol = RASFP_Ppp
typVBRasEntry.options = RASEO_SwCompression + RASEO_IpHeaderCompression + RASEO_RemoteDefaultGateway _
+ RASEO_SpecificNameServers



typVBRasEntry.ipAddrDns.a = "206"
typVBRasEntry.ipAddrDns.b = "211"
typVBRasEntry.ipAddrDns.c = "214"
typVBRasEntry.ipAddrDns.d = "206"
typVBRasEntry.ipAddrDnsAlt.a = "212"
typVBRasEntry.ipAddrDnsAlt.b = "200"
typVBRasEntry.ipAddrDnsAlt.c = "200"
typVBRasEntry.ipAddrDnsAlt.d = "200"
typVBRasEntry.ipAddrWins.a = "0"
typVBRasEntry.ipAddrWins.b = "0"
typVBRasEntry.ipAddrWins.c = "0"
typVBRasEntry.ipAddrWins.d = "0"
typVBRasEntry.ipAddrWinsAlt.a = "0"
typVBRasEntry.ipAddrWinsAlt.b = "0"
typVBRasEntry.ipAddrWinsAlt.c = "0"
typVBRasEntry.ipAddrWinsAlt.d = "0"
typVBRasEntry.LocalPhoneNumber = "555-5555"
 
Dim rtn As Long
rtn = VBRasSetEntryProperties("DUN NAME", typVBRasEntry)
If rtn <> 0 Then
    MsgBox VBRASErrorHandler(rtn)
Else
    MsgBox "DUN Created.", vbOKOnly, "Complete"
  
End If
End Sub

